package com.rjconsultores.ventaboletos.entidad;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

public class CampanhaCupomSorteado {

	@Id
	@Column(name = "CONVENIOCUPOMSORTEADO_ID")
	private Integer campanhaCupomSorteadoId;
	@JoinColumn(name = "CONVENIO_ID", referencedColumnName = "CONVENIO_ID")
	@ManyToOne
	private Convenio convenio;
	@JoinColumn(name = "EMPRESA_ID", referencedColumnName = "EMPRESA_ID")
	@ManyToOne
	private Empresa empresa;
	@JoinColumn(name = "PUNTOVENTA_ID", referencedColumnName = "PUNTOVENTA_ID")
	@ManyToOne
	private PuntoVenta puntoVenta;
	@JoinColumn(name = "BOLETOSORTEADO_ID", referencedColumnName = "BOLETO_ID")
	@ManyToOne
	private Boleto boletoSorteado;
	@JoinColumn(name = "BOLETOCUPOM_ID", referencedColumnName = "BOLETO_ID")
	@ManyToOne
	private Boleto boletoCupom;
	private String codigoCupom;

	private Date fecmodif;
	private Integer usuarioId;
	private Boolean activo;
	private Date feccreacion;

	public Integer getCampanhaCupomSorteadoId() {
		return campanhaCupomSorteadoId;
	}

	public void setCampanhaCupomSorteadoId(Integer campanhaCupomSorteadoId) {
		this.campanhaCupomSorteadoId = campanhaCupomSorteadoId;
	}

	public Convenio getConvenio() {
		return convenio;
	}

	public void setConvenio(Convenio convenio) {
		this.convenio = convenio;
	}

	public Empresa getEmpresa() {
		return empresa;
	}

	public void setEmpresa(Empresa empresa) {
		this.empresa = empresa;
	}

	public PuntoVenta getPuntoVenta() {
		return puntoVenta;
	}

	public void setPuntoVenta(PuntoVenta puntoVenta) {
		this.puntoVenta = puntoVenta;
	}

	public Boleto getBoletoSorteado() {
		return boletoSorteado;
	}

	public void setBoletoSorteado(Boleto boletoSorteado) {
		this.boletoSorteado = boletoSorteado;
	}

	public Boleto getBoletoCupom() {
		return boletoCupom;
	}

	public void setBoletoCupom(Boleto boletoCupom) {
		this.boletoCupom = boletoCupom;
	}

	public String getCodigoCupom() {
		return codigoCupom;
	}

	public void setCodigoCupom(String codigoCupom) {
		this.codigoCupom = codigoCupom;
	}

	public Date getFecmodif() {
		return fecmodif;
	}

	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}

	public Integer getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	public Boolean getActivo() {
		return activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public Date getFeccreacion() {
		return feccreacion;
	}

	public void setFeccreacion(Date feccreacion) {
		this.feccreacion = feccreacion;
	}

}
